%define oname ktp-kded-module

Summary:	KDE integration for Telepathy
Name:		telepathy-kde-kded-module
Version:	17.12.3
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/extragear/network/telepathy/ktp-kded-module
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	ktp-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(TelepathyQt5)
Requires:	telepathy-kde-common-internals
Obsoletes:	telepathy-kde-kded-integration-module < 16.08.2

%description
This module sits in KDED and takes care of various bits of system
integration like setting user to auto-away or handling connection errors.

%files -f kded_ktp_integration_module.lang
%{_kde5_services}/kcm_ktp_integration_module.desktop
%{_kde5_services}/kded/ktp_integration_module.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.KdedIntegrationModule.service
%{_qt5_plugindir}/kcm_ktp_integration_module.so
%{_qt5_plugindir}/kded_ktp_integration_module.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kded_ktp_integration_module

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (781abcd) New version 17.12.3


